Dynmic DNS Issues after upgrade to 168-169

See the below exceptions that have started to appear post up grade, It would appear to update correctly however I can not force an Ip change that easily

Dynamic DNS update for xxxxxx.mooo.com (freedns.afraid.org) threw an unhandled exception:
Traceback (most recent call last):
File "/usr/lib/python3.10/s ite-packages/ddns/system.py", line 276, in get_address return self.__addresses[proto] 
KeyError: 'ipv4' 
During handling of the above exception, another exception occurred: 
Traceback (most recent call last): 
File "/usr/lib/python3.10/ urllib/request.py", line 1348, in do_open h.request(req.get_method(), req.selector, req.data, headers, 
File "/usr/lib/python3.10/http/client.py", line 1282, in request self._send_request(method, url, body, headers, encode_chunked) 
File "/usr/lib/python3.10/http/client.py", line 1328, in _send_request self.endheaders(body, encode_chunked=encode_chunked) 
File "/usr/lib/python3.10/h ttp/client.py", line 1277, in endheaders self._send_output(message_body, encode_chunked=encode_chunked) 
File "/usr/lib/python3.10/http/client.py", line 1037, in _send_output self.send(msg) 
File

EDIT: Tried to make it more readable ( Bernhard )

I can’t read that. The log is not in an tabular format. :face_with_spiral_eyes:

Apologies that was a lazy mans cut n paste from the gui

It is actually one long line in the /Var/log/messages:

Hi,

thank you for flagging this.

While no general issues are known with DDNS and Core Update 168/169, this looks like a bug with that particular DDNS provider (or at least a badly uncaught exception). Please raise a bug at https://bugzilla.ipfire.org/ (your login credentials work there as well; see here for further information) so it won’t fall through the cracks.

Thanks in advance, and best regards,
Peter Müller